summarylogtreecommitdiffstats
path: root/openra-sp
diff options
context:
space:
mode:
Diffstat (limited to 'openra-sp')
-rwxr-xr-xopenra-sp19
1 files changed, 19 insertions, 0 deletions
diff --git a/openra-sp b/openra-sp
new file mode 100755
index 000000000000..27beebac62c1
--- /dev/null
+++ b/openra-sp
@@ -0,0 +1,19 @@
+#!/bin/sh
+cd "/usr/lib/openra-sp"
+
+# Run the game
+mono --debug OpenRA.Game.exe Game.Mod="sp" Engine.LaunchPath="/usr/bin/openra-sp" "Engine.ModSearchPaths=/usr/lib/openra-sp/mods" "$@"
+
+# Show a crash dialog if something went wrong
+if [ $? != 0 ] && [ $? != 1 ]; then
+ ERROR_MESSAGE="OpenRA Shattered Paradise has encountered a fatal error.\nPlease refer to the crash logs and FAQ for more information.\n\nLog files are located in ~/.openra/Logs\nThe FAQ is available at http://wiki.openra.net/FAQ"
+ if command -v zenity > /dev/null; then
+ zenity --no-wrap --error --title "Shattered Paradise" --text "${ERROR_MESSAGE}" 2> /dev/null
+ elif command -v kdialog > /dev/null; then
+ kdialog --title "Shattered Paradise" --error "${ERROR_MESSAGE}"
+ else
+ printf "${ERROR_MESSAGE}\n"
+ fi
+ exit 1
+fi
+